(function() {
  'use strict';

  angular.module('abstractpapers')
    .controller('AbstractpaperDetailCtrl', ['$scope', '$stateParams', '$abstractpapers','$ionicScrollDelegate',
      function($scope, $stateParams, $abstractpapers, $ionicScrollDelegate) {
        $scope.fontsize = 14;
        var id = $stateParams.id;
        $abstractpapers.get(id).then(function(abstractpaper) {
          $scope.item = abstractpaper;

          abstractpaper.getPresentations().then(function(presentations) {
            $scope.presentations = presentations;
          });

          $scope.headTitle = $scope.item.title;
        });

        $scope.changeFontSize = function(size) {
          $scope.fontsize = size;
          $ionicScrollDelegate.scrollTop();
        };

      }
    ]);
})();
