(function() {
  'use strict';

  angular.module('analytics')
  .run(function($rootScope, AnalyticEvent) {
    $rootScope.$on('$stateChangeStart', function(event, toState, params) {
      var metric = new AnalyticEvent({state: toState.url, params: JSON.stringify(params), timestamp: new Date().toISOString()});
      metric.save();
      return true;
    });
  });

})();
