'use strict';

angular.module('attatchments', []).directive('dmsAttatchment', function() {
  return {

    restrict : 'E',
    transclude : true,
    scope : {
      id : '@',
      medias : '='
    },
    link : function(scope, $settings) {

      console.log('pdf opener');
      scope.openLink = function(link) {
        // if ($settings.isNative) {

          var options = {
            documentView : {
              closeLabel : "Fertig"
            },
            navigationView : {
              closeLabel : "Zurück"
            },
            email : {
              enabled : false
            },
            print : {
              enabled : true
            },
            openWith : {
              enabled : false
            },
            bookmarks : {
              enabled : false
            },
            search : {
              enabled : false
            }
          };
          cordova.plugins.SitewaertsDocumentViewer.viewDocument(link.media_file, 'application/pdf', options, function() {
            // shown
            window.console.log('document shown');
          }, function() {
            // closed
            window.console.log('document closed');
          }, function(appId, installer) {
            // missing app
            if (confirm("Do you want to install the free PDF Viewer App " + appId + " for Android?")) {
              installer(function() {
                window.console.log('successfully installed app');
                if (confirm("App installed. Do you want to view the document now?"))
                  viewDocument(url, mimeType, storage);
              }, function(error) {
                window.console.log('cannot install app');
                window.console.log(error);
              });
            }
          }, function(error) {
            alert('cannot view document ' + url);
            window.console.log('cannot view document ' + url);
            window.console.log(error);
          });

        // } else {
// 
          // window.open(link.media_file, '_blank', 'location=no,closebuttoncaption=Close,enableViewportScale=yes');
        // }
      };

    },
    templateUrl : 'modules/attatchments/views/attatchment.html'
  };
});
