'use strict';
angular.module('contacts', ['contact.controller']).config(function($stateProvider) {
	$stateProvider.state('app.contacts', {
		url : '/contacts',
		views : {
			'menuContent' : {
				templateUrl : 'modules/contactlist/contact-list.html',
				controller : 'ContactListCtrl'
			}
		}
	}).state('app.singlecontact', {
		url : '/contacts/:entity_id',
		views : {
			'menuContent' : {
				templateUrl : 'modules/contactlist/contact-detail.html',
				controller : 'ContactDetailCtrl'
			}
		}
	});

});