'use strict';

angular.module('locations', ['location.controller', 'location.model']).config(function($stateProvider) {
	$stateProvider.state('app.locations', {
		url : '/locations',
		views : {
			'menuContent' : {
				templateUrl : 'modules/location/location-list.html',
				controller : 'LocationListCtrl'
			}
		}
	}).state('app.singlelocation', {
		url : '/locations/:id',
		views : {
			'menuContent' : {
				templateUrl : 'modules/location/location-detail.html',
				controller : 'LocationDetailCtrl'
			}
		}
	}).state('app.singlelocationmap', {
		url : '/locationmap/:id',
		views : {
			'menuContent' : {
				templateUrl : 'modules/location/location-map.html',
				controller : 'LocationMapCtrl'
			}
		}
	});

});
