'use strict';

angular.module('location.controller', []).controller('LocationListCtrl', function($scope, $locations, $baseControllers) {

	$baseControllers.applyListController($scope, $locations);

}).controller('LocationDetailCtrl', function($scope, $stateParams, $locations) {

	var id = $stateParams.id;
	$locations.get(id).then(function(location) {

		location.getMap().then(function(map) {
			map.forEach(function(item) {
				$scope.map = item;
			});

		});

		location.getSessions().then(function(sessions) {
			$scope.sessions = sessions;
		});

		location.getExhibitions().then(function(exhibitions) {
			$scope.exhibitions = exhibitions;
		});
		$scope.item = location;
	});

}).controller('LocationMapCtrl', function($scope, $stateParams, $locations) {

	var id = $stateParams.id;
	$locations.get(id).then(function(location) {

		location.getMap().then(function(map) {
			map.forEach(function(item) {
				$scope.map = item;

				location.getMapInfos(item.id).then(function(map) {
					map.forEach(function(item) {
						$scope.fullmap = item;
					});

				});

			});

		});

		$scope.item = location;
	});

});
