(function() {
  'use strict';

  angular.module('login')
  .config(['$stateProvider', function($stateProvider) {
    $stateProvider.state('app.loginsource', {
      url: '/login/:source',
      views: {
        'menuContent': {
          templateUrl: 'modules/login/views/login.html',
          controller: 'LoginCtrl'
        }
      }
    }).state('app.login', {
      url: '/login',
      views: {
        'menuContent': {
          templateUrl: 'modules/login/views/login.html',
          controller: 'LoginCtrl'
        }
      }
    }).state('app.loginiplanner', {
      url: '/iplanner/login',
      views: {
        'menuContent': {
          templateUrl: 'modules/login/views/login.html',
          controller: 'iplannerCtrl'
        }
      }

    });
  }]).run(function($rootScope, User, $location) {
    $rootScope.$on('$stateChangeStart', function(event, toState) {
      var auth = toState.loggedIn;
      var source = toState.url;
      if (auth && !User.secret) {
        $location.path('/app/login' + source, {});
        return false;
      }
    });
  });
})();
