(function() {
  'use strict';

  angular.module('medias').config(['$stateProvider',
  function($stateProvider) {
    $stateProvider.state('app.singlemedia', {
      cache : false,
      url : '/medias/:id',
      views : {
        'menuContent' : {
          controller : function(Medias, $stateParams, $ionicHistory) {
            var id = $stateParams.id;
            Medias.get(id).then(function(media) {
              window.open(media.media_file, '_blank', 'location=no,closebuttoncaption=Close,enableViewportScale=yes');
              if ($ionicHistory.backView()) {
                $ionicHistory.goBack();
              } else {
                location.href = '#/app/';
              }
            });
          }
        }
      }

    });
  }]);
})();
