(function() {
  'use strict';

  angular.module('menu').factory('$menu', function($common, $database) {
    var menulink = $common.model();
    menulink.tableName = 'menulinks';
    menulink.fields = {
      'id': 'text primary key',
      'icon_style': 'text',
      'icon': 'text',
      'title_en': 'text',
      'title_de': 'text',
      'order': 'integer',
      'type': 'text',
      'target': 'text',
    };

    menulink.prototype.getIconFile = function() {
      var query = 'SELECT * FROM medias WHERE medias.id = ?';
      return $database.getItem(query, [this.icon]);
    };

    return menulink;
  });
})();
