'use strict';

angular.module('posts', ['post.controller', 'post.model']).config(function($stateProvider) {
	$stateProvider.state('app.posts', {
		cache : false,
		url : '/posts',
		views : {
			'menuContent' : {
				templateUrl : 'modules/newsboard/post-list.html',
				controller : 'PostListCtrl'
			}
		}
	}).state('app.singlepost', {
		url : '/posts/:id',
		views : {
			'menuContent' : {
				templateUrl : 'modules/newsboard/post-detail.html',
				controller : 'PostDetailCtrl'
			}
		}
	});

});
 