'use strict';

angular.module('post.controller', []).controller('PostListCtrl', function($scope, $posts, $baseControllers, mailbox, $filter, $pubsub) {

	// $baseControllers.applyListController($scope, $posts);

	$posts.all().then(function(posts) {
		$scope.items = posts;
	});

	$posts.watching().then(function() {
		$pubsub.publish('posts', 'clicked');
	});

}).controller('PostDetailCtrl', function($scope, $stateParams, $posts, $baseControllers) {

	$baseControllers.applyDetailController($scope, $stateParams, $posts);

});
