'use strict';

angular.module('presentations', ['presentation.controller', 'presentation.model']).config(function($stateProvider) {
	$stateProvider.state('app.presentations', {
		url : '/presentations',
		views : {
			'menuContent' : {
				templateUrl : 'modules/presentation/presentation-list.html',
				controller : 'PresentationListCtrl'
			}
		}
	}).state('app.singlepresentation', {
		url : '/presentations/:id',
		views : {
			'menuContent' : {
				templateUrl : 'modules/presentation/presentation-detail.html',
				controller : 'PresentationDetailCtrl'
			}
		}
	});
	
});