'use strict';

angular.module('search').directive('dmsSearch', function($translate) {

  return {
    restrict : 'E',
    transclude : true,
    scope : {
      searchString : '=bind',
      search : '&',
      clear : '&'
    },
    link : function(scope) {
      $translate('SEARCH').then(function(item) {
        scope.placeholder = item;
      });
      scope.clear = function() {
        scope.searchString = '';
      };
    },
    templateUrl : 'modules/search/views/search-directive.html'

  };
});
