(function() {
  'use strict';
  
  angular.module('sessions')
    .controller('SessionTypesCtrl', ['$scope', '$sessions', '$pubsub', function($scope, $sessions, $pubsub) {
      var refreshTypes = function() {
        $sessions.sessType().then(function(types) {
          $scope.types = types;
        });
      };
      refreshTypes();
      $pubsub.subscribe($sessions.tableName, refreshTypes);
    }]);
})();
