(function() {
  'use strict';
  angular.module('sessions')
    .directive('sessionlist', function($common) {
      return {
        restrict: 'E',
        transclude: true,
        scope: {
          data: '=',
        },
        link: function(scope) {
          scope.$watch('data', function() {
            scope.elements = scope.data;
          });

          scope.cutSession = $common.view.cut(44, '<h4>', '</h4>');
          scope.isCutted = function(session) {
            if (session.length > 44) {
              return {
                'margin-top': '-16px'
              };
            } else {
              return {
                'margin-top': '0px'
              };
            }
          };
        },
        templateUrl: 'modules/session/directives/sessionlist/list.html'
      };
    });
})();
