(function() {
  'use strict';

  angular.module('sessions')
    .factory('SessionTypes', ['$common', function($common) {
      var SessionTypes = $common.model();
      SessionTypes.tableName = 'sessiontypes';
      SessionTypes.fields = {
        'id': 'text primary key',
        'name': 'text',
        'order': 'int',
        'color': 'text',
        'font_color': 'text'
      };
      return SessionTypes;
    }]);
})();
