(function() {
  'use strict';

  angular.module('splashscreen').directive('dmsSplash', ['$settings', '$timeout', '$ionicPlatform', '$cordovaDialogs', '$window',
  function($settings, $timeout, $ionicPlatform, $cordovaDialogs, $window) {
    return {
      restrict : 'E',
      transclude : true,
      link : function($scope, element) {
        var screenres = element.parent().parent();
        $scope.portrait = (screenres[0].clientHeight < screenres[0].clientWidth) ? false : true;
        $ionicPlatform.ready(function() {
          $timeout(function() {
            element.remove();
          }, $settings.splashTime * 2);
        });
      },
      templateUrl : 'modules/splashscreen/splash.html'
    };
  }]);
})();
