/**
 * @ngdoc directive
 * @name kongressapp.dms-tag
 * @restrict E
 * @param {JUJU} id - Die id des Tags
 * @description
 * Eine Direktive, die einen Tag holt und wieder ausgibt.
 * @author: Michael Junge
 *
 */
(function() {
  'use strict';

  angular.module('tags').directive('dmsTag', ['Tags',
  function(Tags) {
    return {
      restrict : 'E',
      transclude : true,
      scope : {
        id : '@',
      },
      link : function(scope) {
        Tags.get(scope.id).then(function(item) {
          scope.item = item;
        });

      },
      templateUrl : 'modules/tags/views/detail.html'
    };
  }]);
})();
