(function () {
  'use strict';
  angular.module('sync')
    .directive('dmsUpdating', function () {
      return {
        restrict: 'E',
        controller: function ($ionicPlatform, $scope, $pubsub, $timeout, $element) {

          $ionicPlatform.ready(function () {
            $scope.progress = 1;
            $scope.height = 22;

            var checkConnection = function () {
              console.log(JSON.stringify(navigator));
              if (navigator.onLine) {
                if (!navigator.onLine) {
                  console.log('offline');
                  return false;
                } else {
                  return true;
                }
              } else {
                return true;
              }
            };

            var addStep = function () {
              if (checkConnection()) {
                $scope.progress += (100 / 21) + 1;
                if ($scope.progress > 100) {
                  $scope.progress = 100;
                  disableProgress();
                } else {
                  $scope.progress = parseInt($scope.progress);
                  console.log($scope.progress);
                }
              } else {
                disableProgress();
              }
            };


            var disableProgress = function () {
              if ($scope.height > 0) {
                $scope.height -= 1;
                $timeout(disableProgress, 40);
              } else {
                $element.remove();
              }
            };


            $pubsub.subscribe('updated', addStep);

          });
        },
        templateUrl: 'modules/updatingbar/dms-updating.html'
      };
    });
})();
