(function() {
  'use strict';

  /* jshint ignore:start */
  var generateUUID = function() {
    return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
      var r = Math.random()*16|0, 
      v = c == 'x' ? r : (r&0x3|0x8);
      return v.toString(16);
    });
  };
  /* jshint ignore:end */
  angular.module('user', [])
  .factory('User', function($window) {
    var User = JSON.parse($window.localStorage.getItem('user')) || {id: generateUUID()};
    User.save = function() {
      $window.localStorage.setItem('user', JSON.stringify(this));
    };
    User.save();
    return User;
  });
})();
