// 

'use strict';
/**
 * Hier werden Globale Variablen definiert, die danach mit hilfe der depency Injection von $settings an jedem Beliebigen Ort ausgelesen
 * werden können. Hierzu nutzt man einfach die get setting Methode.
 *
 * @use $settings.getSetting('SETTING');
 */

angular.module('settings', ['ionic', 'ngCordova']).factory('$settings', function() {

	var settings = {
		'name' : 'DGU2015',
		'pushTitle': 'DGU2015',
		'conferenceId' : 727,
		'androidPushSenderId' : '112050495980',
		'apiHost' : 'http://django.abstractmgmt.com:8000',
		'pushRegisterUrl': 'http://signing.abstractmgmt.com:3333/subscribe',
		'mediaPath' : 'http://django.abstractmgmt.com:8000/media/',
		'iplannerSyncUrl' : 'http://www.abstractserver.com/Login/DGU2015/api/',
		'splashTime' : 2 * 1000,
		'blackBar' : true,
		'liveVote' : 'http://livevote.abstractmgmt.com:3000/api',
		'socketServerUrl': 'http://qanda.abstractmgmt.com:3333'
	};

	return settings;
});
