(function() {
	'use strict';

	angular.module('abstractpapers').controller('AbstractpaperListCtrl', ['$scope', '$abstractpapers', '$filter',
	function($scope, $abstractpapers, $filter) {
		$scope.items = [];
		$abstractpapers.list().then(function(papers) {
			$scope.items = $filter('orderBy')(papers, 'order');
		});
		console.log($scope.items);

		$scope.getItemHeight = function(item) {
			if (item.title) {
				return (75 + parseInt(item.title.length / 30) * 12);
			} else {
				return 70;
			}
		};
	}]);
})();
