(function() {
  'use strict';

  angular.module('analytics')
  .factory('AnalyticEvent', function($common) {
    var AnalyticEvent = $common.model();
    AnalyticEvent.tableName = 'analytics';
    AnalyticEvent.fields = {
      'pk': 'integer primary key autoincrement',
      'state': 'text',
      'params': 'text',
      'timestamp': 'date',
      'uploaded_at': 'date'
    };

    return AnalyticEvent;
  });
})();
