'use strict';

angular.module('appsettings.controller', []).controller('AppSettingsCtrl', function($scope, $translate,$settings, User) {

	$scope.isNative = $settings.isNative;
	
	$scope.languages = [{
		key : 'de',
		language : 'Deutsch'
	}, {
		key : 'en',
		language : 'English'
	}];

	$scope.currentLanguage = $translate.use();

	$scope.changeLanguage = function(langKey) {
		$translate.use(langKey);
	};

	$scope.pushNotification = $settings.pushActive;

	$scope.changePush = function() {
		$scope.pushNotification = !$scope.pushNotification;
		//TODO: register or unregister for push
	};

  $scope.chat = User.chat;
  $scope.changeChat = function() {
    User.chat = $scope.chat = !$scope.chat;
    User.save();
  };
});
