'use strict';

angular.module('banners').directive('dmsBanner', function() {
	return {
		restrict : 'E',
		transclude : true,
		scope : {
			
		},
		controller : ['$scope', 'Banners', 'poollingFactory',
		function($scope, Banners, poollingFactory) {
			var banners = [{
				'id' : '1',
				'target' : '',
				'logo' : '',
				'type' : 'footer'
			}];
			var pickBanner = function() {
				var banner = banners[Math.floor(Math.random() * banners.length)];
				return banner;
			};
			$scope.data = pickBanner();
			
			if(banners.length > 1){
				poollingFactory.callFnOnInterval(function() {
					$scope.data = pickBanner();
				});
			}

			

		}],
		templateUrl : 'modules/banner/banner-directive.html'
	};
});

