'use strict';

angular.module('common.view', [])
.factory('$commonView', function() {
  var View = {};
  View.cut = function(string, openingTag, closingTag) {
    return function(string) {
      var first = string.substr(0, 44);

      if (first !== string) {
        var lastspace = first.lastIndexOf(' ');

        if (lastspace !== -1) {
          first = first.substr(0, lastspace);
          lastspace = first.length;
          first += closingTag + openingTag;
          first += string.substr(lastspace);
        } else {
          first += closingTag + openingTag;
          first += string.substr(44);
        }
      }
      return first;
    };
  };
  return View;
});
