'use strict';

angular.module('common.directives', [])
.directive('detailheader', function() {
	return {
		restrict : 'E',
		transclude : true,
		scope : {
			color : '=',
			image: '@',

		},
		templateUrl : 'modules/common/views/detail/header-directive.html'
	};
}).directive('collectionList', function() {
  return {
    restrict : 'E',
    transclude: 'element',
    scope : {
      data : '=',
      height: '='
    },
    link : function(scope, element, attrs, ctrl, transclude) {
      transclude(scope, function(clone) {
        element.append(clone);
      });
    },
    templateUrl : 'modules/common/views/list/collection-list.html'
  };
}).directive('buttonbar', function() {
	return {
		restrict : 'E',
		transclude : true,
		templateUrl : 'modules/common/views/detail/buttonbar-directive.html'
	};
});
