(function() {
  'use strict';
  angular.module('exhibitions')
    .config(function($stateProvider) {
      $stateProvider.state('app.exhibitions', {
        url: '/exhibitions',
        views: {
          'menuContent': {
            templateUrl: 'modules/exhibition/views/list.html',
            controller: 'ExhibitionListCtrl'
          }
        }
      }).state('app.singleexhibition', {
        url: '/exhibitions/:id',
        views: {
          'menuContent': {
            templateUrl: 'modules/exhibition/views/detail.html',
            controller: 'ExhibitionDetailCtrl'
          }
        }
      });
    });
})();
