'use strict';

angular.module('maps', ['maps.controller', 'maps.model']).config(function($stateProvider) {
	$stateProvider.state('app.maps', {
		url : '/maps',
		views : {
			'menuContent' : {
				templateUrl : 'modules/maps/map-list.html',
				controller : 'MapListCtrl'
			}
		}
	}).state('app.singlemap', {
		url : '/maps/:id',
		views : {
			'menuContent' : {
				templateUrl : 'modules/maps/map-detail.html',
				controller : 'MapDetailCtrl'
			}
		}
	}).state('app.singleMapWithName', {
		url : '/maps/:id/:markerid',
		views : {
			'menuContent' : {
				templateUrl : 'modules/maps/map-detail.html',
				controller : 'MapDetailCtrl'
			}
		}
	});
	
});