'use strict';

angular.module('persons', ['persons.controller', 'persons.model']).config(function($stateProvider) {
	$stateProvider.state('app.persons', {
		url : '/persons',
		views : {
			'menuContent' : {
				templateUrl : 'modules/persons/persons.html',
				controller : 'PersonsCtrl'
			}
		}
	}).state('app.singleperson', {
		url : '/persons/:id',
		views : {
			'menuContent' : {
				templateUrl : 'modules/persons/person-detail.html',
				controller : 'PersonDetailCtrl'
			}
		}
	});
	
});