'use strict';

angular.module('pubsub', [])
.factory('$pubsub', function() {
  var PubSub = {};

  PubSub.subscribers = {};

  PubSub.subscribe = function (event, listner) {
    if(this.subscribers[event]) {
      this.subscribers[event].push(listner);
    } else {
      this.subscribers[event] = [listner];
    }
  };

  PubSub.publish = function (event, message) {
    if(this.subscribers[event]) {
      this.subscribers[event].forEach(function(subscriber) {
        subscriber(event, message);
      });
    }
  };

  return PubSub;
});
