(function() {
  'use strict';
  
  angular.module('sessions')
    .controller('SessionTypeGroupsCtrl', ['$scope', '$sessions', '$pubsub', function($scope, $sessions, $pubsub) {
      var refreshTypeGroups = function() {
        $sessions.sessTypeGroup().then(function(typegroups) {
          $scope.typegroups = typegroups;
        });
      };
      refreshTypeGroups();
      $pubsub.subscribe($sessions.tableName, refreshTypeGroups);
    }]);
})();
