(function() {
  'use strict';
  angular.module('sessions')
    .factory('$sessionpresentationlinks', ['$common', function($common) {
      var SchedualAssignment = $common.model();
      SchedualAssignment.tableName = 'schedualassignments';
      SchedualAssignment.fields = {
        'id': 'text primary key',
        'session': 'text',
        'presentation': 'text',
        'code': 'text',
        'start_time': 'text',
        'end_time': 'text'
      };

      SchedualAssignment.relatedFields = {
        'session': {
          'field': 'session',
          'tableName': 'sessions'
        },
        'presentation': {
          'field': 'presentation',
          'tableName': ' presentations'
        }
      };
      return SchedualAssignment;

    }]);
})();
