'use strict';

angular.module('sponsorlevel.model', []).factory('Sponsorlevels', function($common,$database,Sponsors) {
	var SponsorLevel = $common.model();
	SponsorLevel.tableName = 'sponsorlevels';
	SponsorLevel.fields = {
		'id' : 'text primary key',
		'level': 'integer',
		'title': 'text'
	};
	
	SponsorLevel.prototype.getSponsors = function(){
		var query = 'SELECT * FROM sponsors JOIN exhibitions ON sponsors.exhibition = exhibitions.id WHERE sponsors.level = ? ORDER BY sponsors.\'order\' ASC';
		return $database.getItems(query, [this.id],Sponsors);
	};
	
	return SponsorLevel;
});
