(function() {
  'use strict';

  angular.module('tags').controller('TagListCtrl', ['$scope', 'Tags', '$stateParams', '$sessions',
  function($scope, Tags, $stateParams, $sessions) {
    var parent = $stateParams.parent;
    $scope.hasChildren = '';
    Tags.get(parent).then(function(item) {
      $scope.tag = item;
    });

    Tags.getChildren(parent).then(function(children) {
      $scope.children = children;
      if (children.length > 0) {
        $scope.hasChildren = true;
      } else {
        $scope.hasChildren = false;
        $sessions.getByTag(parent).then(function(items) {
          $scope.sessions = items;
        });
      }
    });
  }]);

})();
